/* Either use SCSS imports (not recommended) */
/* or specify multiple files in the CSS package def in project.json (in dependency order) */

@mixin drop-shadow($depth) {
    -webkit-box-shadow: 0 0 $depth var(--shadow-color);
    box-shadow: 0 0 $depth var(--shadow-color);
}

root {
    height: 100%;
    width: 100%;
    margin: 0; 
    padding: 0;

    display: block;
}

html {
    height: 100%;
    width: 100%;
    margin: 0;
    padding: 0;

    display: block;    

    text-rendering: optimizelegibility;
    font-family: sans-serif;
    font-size: 16px;
}

body {
    margin: 0;
    padding: 0;
    height: 100%;
    width: 100%;

    display: grid;
    grid-template-rows: auto 1fr auto;

    background-color: var(--background-color);
    background-image: var(--background-grad);
    color: var(--text-color);
}

header {
    display: flex;
    flex-direction: row;
    align-items: center;

    background-color: var(--header-color);
    background-image: var(--header-grad);
    @include drop-shadow(6px);

    * {
        margin: 8px;
    }
}

content {
    padding: 4px 16px;
    overflow: auto;

    >div {
        margin-bottom: 64px;
    }
}

footer {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;

    padding: 4px;

    background-color: var(--header-color);
    background-image: var(--header-grad);
    @include drop-shadow(6px);
}

a {
    text-decoration: none;
    color: var(--link-color);
}

//
//
//

#editor {
    background-color: #FFF;
    color: #000;
}

example-target {
    display: block;

    border: solid 1px var(--border-color);

    background-color: var(--header-color);
    background-image: var(--header-grad);
    @include drop-shadow(2px);
    margin: 1em;
    padding: 1em;
}
